Bug 173220 - mt_alloc breaks scim symbol versioning
Summary: mt_alloc breaks scim symbol versioning
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Benjamin Kosnik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Blocker 166041 SCIM
TreeView+ depends on / blocked
 
Reported: 2005-11-15 06:11 UTC by Jens Petersen
Modified: 2013-08-09 05:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-30 09:02:06 UTC
Type: ---


Attachments (Terms of Use)

Description Jens Petersen 2005-11-15 06:11:33 UTC
Description of problem:
Splitting this off from bug 166041, since it is really a separate
issue from the weak symbol versioning problem itself.

For FC4 and later, it seems the new mt_allocator causes problems:
for example if scim is built with --enable-ld-version-script
it now crashes on startup.

How reproducible:
every time

Steps to Reproduce:
see bug 166041#c21

Additional info:

Comment 1 Jens Petersen 2005-12-19 05:45:09 UTC
This is now fixed with the gcc-4.1 in FC devel afaict.

Updating scim in next build to use its version scripts.


Note You need to log in before you can comment on or make changes to this bug.